\ --------------------------------------
\ Copyright 2009-04-12, George E. Hubert
\ --------------------------------------

[UNDEFINED] ftrunc [IF]
[UNDEFINED] floor  [IF] include lib/zenfloor.4th [THEN]
: FTRUNC                               ( r1 -- r2 )
  2DUP F0= 0=
  IF 2DUP F0<
  IF FNEGATE FLOOR FNEGATE 
  ELSE FLOOR 
  THEN 
  THEN ;
[THEN]
